import { Application } from 'typedoc';
/**
 * Copies the assets found in comments to the output assets folder.
 */
export declare class CopyAssets {
    /** The current application. */
    private _typedoc?;
    /** Path for output. */
    private _outFolder?;
    /** Path for output medias. */
    private _outMediaFolder?;
    /** Maps a reflection to a source file it was created from. */
    private _reflectionPaths;
    /** Maps an image absolute path to a relative path in the output. */
    private _imagePathMaps;
    /** Path that we already used. */
    private _usedOutputPaths;
    /**
     * The pattern used to find references in markdown.
     */
    private _imagePattern;
    /**
     * Create a new RelativeIncludesConverterComponent instance.
     *
     * @param typedoc The application.
     */
    initialize(typedoc: Readonly<Application>): void;
    /**
     * Get the file the node was created from.
     *
     * @param node The node.
     * @returns The file path.
     */
    private getNodeFilePath;
    /**
     * Processes a text collecting the images from it and copying to the out folder.
     *
     * @param text The text to process.
     * @param originalFilePath Path of the parsed file.
     * @param outputFilePath Path of the documentation file.
     * @returns The modified comment.
     */
    private processText;
}
